# Fetching a list of Revenue Recognition Methods

Gets a list of revenue recognition methods that are available to apply to projects.
This endpoint returns structured Revenue Recognition Method objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the `results` array
and will be indexed by ID in the `revenue_recognition_methods` top-level JSON key.
Please see our [Response Format](#section/Response-Format) section for more information.

Endpoint: GET /revenue_recognition_methods
Version: 1.0.0

## Query parameters:

  - `active` (string)
    Return only active (`true`) or inactive (`false`) methods.

  - `only` (string)
    Allows you to get one or more methods directly by ID. The ID is in the following format: `id:revenue_recognition_method_type`. For example, `42:percent_complete`. Multiple IDs can be supplied in a comma separated list, like `GET /api/v1/revenue_recognition_methods?only=42:percent_complete,43:time_and_materials`.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)
    An array of ordered pointers for the items in the `revenue_recognition_methods` top-level object.

  - `results.key` (string)
    The `key` is always `revenue_recognition_methods`.

  - `results.id` (string)
    Composite ID, formatted as `<numeric_id>:<type>` (e.g. `42:percent_complete`).

  - `results.name` (string)
    The name of the revenue recognition method.

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 401 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 403 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 404 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 422 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 503 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

